component: ChronyPPS
proto_imports:
  - vehicle/computer_hardware/diagnostics/chrony_diagnostics.proto
metric: ChronyMetric
namespace: zoox::chrony
faults:
  - id: 1
    name: PPSNotFound
    severity: ERROR
    description: PPS not found in chrony sources list
    triggers_nogo: true
  - id: 2
    name: ChronyCommFailure
    severity: ERROR
    description: Communication with chrony daemon failed
    freeze_frame: ChronyCommFF
    triggers_nogo: true
  - id: 3
    name: PPSOldError
    severity: ERROR
    description: PPS/GPS time sync lost - should stop
    triggers_nogo: true
  - id: 4
    name: PPSOldWarning
    severity: WARNING
    description: PPS/GPS time sync warning - Ok to continue
  - id: 5
    name: NoSync
    severity: ERROR
    description: No chrony sources are synced
    triggers_nogo: true
  - id: 6
    name: ClockOffsetTooHigh
    severity: ERROR
    description: Clock offset is out of tolerance. Sync clocks manually before continuing.
    triggers_nogo: true
  - id: 7
    name: ClockRateBad
    severity: WARNING
    description: Local clock rate correction is too high.
  - id: 8
    name: ExcessiveClockSlew
    severity: WARNING
    description: Local clock slewing is outside acceptable threshold.
